<?php 
/*-------------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright (C) 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Android Fusion NewsReader 1.00
| Author: Douwe Yntema
| Download:
| http://www.douwe.schoonheidssalonanneke.nl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

function convert_smart_quotes($string) 
{ 
    $search = array(chr(145), 
                    chr(146), 
                    chr(147), 
                    chr(148), 
                    chr(151)); 
 
    $replace = array("'", 
                     "'", 
                     '"', 
                     '"', 
                     '-'); 
 
    return stripslashes(html_entity_decode(mb_convert_encoding(strip_tags(str_replace($search, $replace, $string)),'utf-8'))); 
} 

function json_pagination ($totalitems, $items_per_page, $currentpage)
{
	// $currentpage counts from 0 to $highest_page
	// For display functions: add 1 to currentpage, so this counts from 1 to $no_of_pages
	
	$no_of_pages = ceil($totalitems / $items_per_page);
	$highest_page= $no_of_pages - 1;
	
	$next_page = $currentpage + 1;
	if ($next_page > $highest_page) {
		$next_page = 0;
	};
	$prev_page = $currentpage - 1;
	if ($prev_page < 0) {
		$prev_page = $highest_page;
	};
	
	$paging = array();
	$na = array();
	$paging ['totalitems'] = $totalitems;
	$paging ['no_of_pages'] = $no_of_pages;
	$paging ['currentpage'] = $currentpage;
	$paging ['next_page'] = $next_page;
	$paging ['prev_page'] = $prev_page;
	
	$na[] = $paging;
	return $na;
	
}

?>
